{
	"name": "table/external/4d/manager/order/accounts_payable_payment.json",
	"table_name": "accounts_payable_payment",
	"table_prefix": "appa",
	"main_table": "accounts_payable",
	"record_type": ["accounts_payable"],
	"local_table": "invoice_payment",
	"local_record_type": "accounts_payable",
	"table_number": 52,
	"field": [
		{
			"field_length": 24,
			"field_name": "account_id",
			"field_number": 9,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "account_id",
					"linked_table": "account"
				}
			],
			"local_field": "account_id",
			"nullable": true
		},
		{
			"field_length": 20,
			"field_name": "accounts_payable_id",
			"field_number": 2,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "code_id",
					"linked_table": "accounts_payable"
				}
			],
			"local_field": "invoice_id",
			"nullable": true
		},
		{
			"field_length": 80,
			"field_name": "bank_statement",
			"field_number": 20,
			"local_field": "bank_statement"
		},
		{
			"field_length": 90,
			"field_name": "change_id",
			"field_number": 26,
			"local_field": "modify_id"
		},
		{
			"field_length": 40,
			"field_name": "creator_id",
			"field_number": 27,
			"local_field": "create_user"
		},
		{
			"field_length": 12,
			"field_name": "currency_id",
			"field_number": 21,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "currency_id",
					"linked_table": "currency"
				}
			],
			"local_field": "currency_id",
			"nullable": true
		},
		{
			"field_length": 80,
			"field_name": "customer_project",
			"field_number": 24,
			"local_field": "json_data.customer_project"
		},
		{
			"field_name": "discount_sum",
			"field_number": 5,
			"local_field": "discount_price"
		},
		{
			"field_name": "exchange_rate",
			"field_number": 18,
			"local_field": "exchange_rate"
		},
		{
			"field_name": "expence_sum",
			"field_number": 15,
			"local_field": "json_data.expence_sum"
		},
		{
			"field_name": "firm_id",
			"field_number": 17,
			"local_field": "json_data.firm_id"
		},
		{
			"field_name": "info",
			"field_number": 8,
			"local_field": "info"
		},
		{
			"field_name": "is_expence_account",
			"field_number": 14,
			"local_field": "json_data.is_expence_account"
		},
		{
			"field_length": 50,
			"field_name": "method_of_payment",
			"field_number": 6,
			"local_field": "json_data.method_of_payment"
		},
		{
			"field_length": 40,
			"field_name": "modifier_id",
			"field_number": 28,
			"local_field": "json_data.modifier_id"
		},
		{
			"field_name": "partial_payment_sum",
			"field_number": 13,
			"local_field": "json_data.partial_payment_sum"
		},
		{
			"field_length": 80,
			"field_name": "payee_bank_account",
			"field_number": 7,
			"local_field": "json_data.payee_bank_account"
		},
		{
			"field_name": "payment_date",
			"field_number": 10,
			"local_field": "payment_date"
		},
		{
			"field_name": "payment_sum",
			"field_number": 11,
			"local_field": "paid_price"
		},
		{
			"field_name": "progress_payment",
			"field_number": 16,
			"local_field": "json_data.progress_payment"
		},
		{
			"field_length": 80,
			"field_name": "project_id",
			"field_number": 25,
			"local_field": "json_data.project_id"
		},
		{
			"constraint": ["unique"],
			"field_length": 90,
			"field_name": "record_id",
			"field_number": 22,
			"local_field": "record_id"
		},
		{
			"field_name": "row_number",
			"field_number": 3,
			"local_field": "json_data.row_number"
		},
		{
			"field_length": 4,
			"field_name": "state",
			"field_number": 12,
			"local_field": "payment_state"
		},
		{
			"field_name": "sum_amount",
			"field_number": 19,
			"local_field": "local_paid_price"
		},
		{
			"field_length": 120,
			"field_name": "transfer_id",
			"field_number": 23,
			"local_field": "json_data.transfer_id"
		},
		{
			"field_name": "transfer_state",
			"field_number": 29,
			"local_field": "json_data.transfer_state"
		},
		{
			"field_name": "value_date",
			"field_number": 4,
			"local_field": "value_date"
		},
		{
			"field_length": 40,
			"field_name": "voucher_number",
			"field_number": 1,
			"local_field": "json_data.voucher_number"
		}
	],
	"default_field": "table/default_field.json"
}
